<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\InheritanceType('SINGLE_TABLE')]
//#[ORM\DiscriminatorColumn(name: 'discriminator', type: 'string')]
//#[ORM\DiscriminatorMap(['recipe' => 'RecipeProductLine'])]
abstract class AbstractProductLine
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'integer')]
    private $count;

    #[ORM\ManyToOne(targetEntity: Product::class)]
    private $product;

    public function __toString(): string
    {
        return sprintf('%dx %s', $this->count, $this->product);
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCount(): ?int
    {
        return $this->count;
    }

    public function setCount($count): self
    {
        $this->count = $count;

        return $this;
    }

    public function getProduct(): ?Product
    {
        return $this->product;
    }

    public function setProduct($product): self
    {
        $this->product = $product;

        return $this;
    }
}